#include <array>

#include "Pokitto.h"

struct Game
{
    int x = 0;
    int y = 0;
    int timer = 0;
} game;

void init() noexcept
{
}

void update() noexcept
{
    using PButtons = Pokitto::Buttons;
    using PDisplay = Pokitto::Display;
    
    // Beware, the simulator returns 0 if not pressed, or a non-zero value (not necessarily 1) if pressed.
    game.x += (PButtons::leftBtn() ? -1 : 0) + (PButtons::rightBtn() ? +1 : 0);
    game.y += (PButtons::upBtn() ? -1 : 0) + (PButtons::downBtn() ? +1 : 0);
    
    game.timer++;
    
    
    // Renders to the buffer.
    PDisplay::clear();
    PDisplay::color = 1;
    PDisplay::drawRow(0, 219, game.y);
    PDisplay::drawColumn(game.x, 0, 175);
    
    // Exits to the Loader if C is pressed.
    if (PButtons::cBtn())
        Pokitto::Core::askLoader();
}
